MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027629Open CASCADE[OCCT] OCCT:Visualizationpublic2016-06-23 13:542016-12-09 16:38
Reporterisk 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027629: Visualization - apply a correct model-world matrix to normals in fixed function pipeline with enabled zoom persistence.
DescriptionZoom persistence from CR26641 updates model-world matrix that provide lighting bug - normals aren't normalized
Steps To Reproducebugs vis bug27629
Additional information
and documentation updates
Disable ffp to provide a right behaviour.

pload ALL
vinit
box b0 25 25 25
vsetdispmode 1
vdisplay b0 -trsfPers zoom
vzoom 10
vcaps -ffp 0
TagsNo tags attached.
Test case numberbugs vis bug27629
Attached Filespng file icon bug.png (815 bytes) 2016-06-23 13:54
png file icon ok.png (825 bytes) 2016-06-23 13:54

- Relationships
related to 0026641closedbugmaster Visualization, TKOpenGl - handle correctly transformation persistence within perspective projection 

-  Notes
(0055381)
git (administrator)
2016-06-23 15:04

Branch CR27629 has been created by isk.

SHA-1: 84ea4cf48f616910db562460d5a8ea527b5f2553


Detailed log of new commits:

Author: isk
Date: Thu Jun 23 15:01:34 2016 +0300

    0027629: Visualization - apply a correct model-world matrix to normals in fixed function pipeline with enabled zoom persistence.
(0055382)
isk (developer)
2016-06-23 15:06

Dear Kirill,
please review the branch CR27629.
(0055392)
kgv (developer)
2016-06-23 17:56

Please test the patch.
(0055400)
git (administrator)
2016-06-23 19:23

Branch CR27629 has been updated forcibly by mkv.

SHA-1: 93ad399578da2a2c692bef233932cb190a4db622
(0055464)
mkv (tester)
2016-06-24 17:34

Dear BugMaster,
Branch CR27629 was rebased on IR-2016-06-23 of occt git-repository.
SHA-1: 93ad399578da2a2c692bef233932cb190a4db622
(0055465)
mkv (tester)
2016-06-24 17:35

Dear BugMaster,
Branch CR27629 from occt git-repository (and IR-2016-06-23 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 93ad399578da2a2c692bef233932cb190a4db622

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1195

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR27629-master-OCCT/Debian70-64/bugs/vis/bug27629.html [^]
http://occt-tests/CR27629-master-OCCT/Windows-64-VC10/bugs/vis/bug27629.html [^]
bugs vis bug27629: OK

Testing on Linux:
occt component :
Total MEMORY difference: 87868754 / 88697478 [-0.93%]
Total CPU difference: 19364.649999999987 / 19559.88999999992 [-1.00%]
products component :
Total MEMORY difference: 27438428 / 27390508 [+0.17%]
Total CPU difference: 5167.399999999987 / 5182.479999999985 [-0.29%]

Testing on Windows:
occt component :
Total MEMORY difference: 55891384 / 55896743 [-0.01%]
Total CPU difference: 18159.436805898815 / 17842.239972598676 [+1.78%]
products component :
Total MEMORY difference: 18612813 / 18577733 [+0.19%]
Total CPU difference: 4994.122413399953 / 4930.286804199938 [+1.29%]

There are no differences in images found by testdiff.
(0055466)
git (administrator)
2016-06-24 17:35

Branch CR27629 has been updated by mkv.

SHA-1: 9237ffe182fa64e6d9fb16ef2fc57a83591470f4


Detailed log of new commits:

Author: mkv
Date: Fri Jun 24 17:34:19 2016 +0300

    Small correction of test case for issue CR27629

(0055467)
mkv (tester)
2016-06-24 17:35

Dear BugMaster,
Branch CR27629 is TESTED.
(0056128)
git (administrator)
2016-07-22 10:45

Branch CR27629 has been deleted by inv.

SHA-1: 9237ffe182fa64e6d9fb16ef2fc57a83591470f4

- Related Changesets
occt: master 04be5003
Timestamp: 2016-06-23 12:01:34
Author: isk
Committer: bugmaster
Details ] Diff ]
0027629: Visualization - apply a correct model-world matrix to normals in fixed function pipeline with enabled zoom persistence.

Small correction of test case for issue CR27629
mod - src/OpenGl/OpenGl_Structure.cxx Diff ] File ]
add - tests/bugs/vis/bug27629 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-06-23 13:54 isk New Issue
2016-06-23 13:54 isk Assigned To => kgv
2016-06-23 13:54 isk File Added: bug.png
2016-06-23 13:54 isk File Added: ok.png
2016-06-23 13:58 isk Relationship added related to 0026641
2016-06-23 15:04 git Note Added: 0055381
2016-06-23 15:04 isk Assigned To kgv => isk
2016-06-23 15:04 isk Status new => assigned
2016-06-23 15:06 isk Note Added: 0055382
2016-06-23 15:06 isk Assigned To isk => kgv
2016-06-23 15:06 isk Status assigned => resolved
2016-06-23 15:06 isk Steps to Reproduce Updated View Revisions
2016-06-23 17:56 kgv Note Added: 0055392
2016-06-23 17:56 kgv Assigned To kgv => bugmaster
2016-06-23 17:56 kgv Status resolved => reviewed
2016-06-23 17:56 kgv Product Version => 7.0.0
2016-06-23 19:23 git Note Added: 0055400
2016-06-23 19:27 mkv Assigned To bugmaster => mkv
2016-06-24 17:34 mkv Note Added: 0055464
2016-06-24 17:35 mkv Note Added: 0055465
2016-06-24 17:35 git Note Added: 0055466
2016-06-24 17:35 mkv Note Added: 0055467
2016-06-24 17:35 mkv Assigned To mkv => bugmaster
2016-06-24 17:35 mkv Status reviewed => tested
2016-06-24 17:35 mkv Test case number => bugs vis bug27629
2016-07-01 17:19 bugmaster Changeset attached => occt master 04be5003
2016-07-01 17:19 bugmaster Status tested => verified
2016-07-01 17:19 bugmaster Resolution open => fixed
2016-07-22 10:45 git Note Added: 0056128
2016-12-09 16:31 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker